import { IsNotEmpty, IsOptional, IsString } from 'class-validator';

export class ImportRunner {

    /**
     * The new runner's first name.
     */
    @IsString()
    @IsNotEmpty()
    firstname: string;

    /**
     * The new runner's middle name.
     * Optional.
     */
    @IsString()
    @IsOptional()
    middlename?: string;

    /**
     * The new runner's last name.
     */
    @IsString()
    @IsNotEmpty()
    lastname: string;
}